%define name rpmverify
%define version 0.5
%define release 2mdk


Summary: RPM verification script that runs once a month.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Packager: Oden Eriksson <oden@kvikkjokk.com>
Source: %{name}-%{version}.tar.bz2
URL: http://www.trisk.com/
Group: Monitoring
ExclusiveOS: Linux
BuildArchitectures: noarch
Requires: rpm vixie-cron crontabs gawk
Prefix:    /usr
Docdir:    %{prefix}/doc
BuildRoot: /var/tmp/%{name}-buildroot

%description
This package contains a script that will run once a month
from the crontab that will verify the installed rpm packages
using no verification scripts from the rpm itself vs information
contained in the rpm database and mail the results to root.

%prep

%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d -p $RPM_BUILD_ROOT/etc/cron.monthly
install -m 750 rpmverify $RPM_BUILD_ROOT/etc/cron.monthly/rpmverify

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%config /etc/cron.monthly/rpmverify

%changelog
* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- add config tag
- fix group

* Sun Jul 18 1999 Oden Eriksson <oden@kvikkjokk.com>
  [0.5]
- Repacked for Linux Mandrake

* Mon Mar 1 1999 Garen Erdoisa <scamper@trisk.com>
- rpmverify-0.5-1
- * Rewrote the script to use the /tmp directory again using
-   methods for creating the temporary directory that avoid /tmp races.
- * Modified the output to include the group listing that
-   each rpm belongs to and made it a sorted output by group
-   to make it easier to identify packages. 
- * Added a couple of additional sanity checks to the script, and 
-   if the script is called manually the output will now be emailed 
-   to root before cleanup is done.
- * Added a 1 second sleep cycle between each rpm verification
-   in an effort to reduce overall system load while the script is running.

* Sun Feb 8 1998 Garen Erdoisa <scamper@trisk.com>
- rpmverify-0.4-1
- Converted to a noarch rpm since it's only a bash shell script.
- Added changelog to the spec file.
- Removed incorrect package specifications from the spec file
- Removed most of the comments from the rpmverify script and
-  moved them into the package changelog.
- Still learning how to use rpm to build packages and made
-  a couple of minor mistakes that are now corrected.

* Sun Oct 26 1997 Garen Erdoisa <scamper@trisk.com>
- rpmverify-0.3-1
- added a change directory into /root/tmp so the core file 
- (if any is produced by a bad verify) will end up in the /root/tmp directory.

* Sat Oct 25 1997 Garen Erdoisa <scamper@trisk.com>
- rpmverify-0.2-2
- Release 2 added pgp 2.6.2 signature to package

* Sat Oct 25 1997 Garen Erdoisa <scamper@trisk.com>
- rpmverify-0.2-1
- Security fix, create and use /root/tmp to run the temporary scripts from instead
- of /tmp since /tmp is world writable.
- /root/tmp is not a normal directory on a redhat system, so will check
- to see if its empty after the verify is complete, and if so remove it. 
- If anything goes wrong during the verify, such as a coredump of the rpm
- program itself, this /root/tmp directory will remain intact for later 
- examination.

* Thu Sep 25 1997 Garen Erdoisa <scamper@trisk.com>
- rpmverify-0.01-2
- I have noticed that some versions of rpm will coredump when verifying
- rpms that were installed by a prior rpm version.
- the /root/rpmverify.script attempts to catch this problem by
- buliding a test for a core file after each rpm is tested.
- If a core dump is found, the rpmverify.script will abort and the
- results of the verify up to the core dump will be mailed 
- to the root user. This is a bug in some versions of rpm, not
- in this script.

* Wed Sep 24 1997 Garen Erdoisa <scamper@trisk.com>
- rpmverify-0.01-1
- initial release.
